MONGOC_CLIENT_ENCRYPTION_T(3)

NAME
mongoc_client_encryption_t - mongoc_client_encryption_t

SYNOPSIS

typedef struct _mongoc_client_encryption_t mongoc_client_encryption_t;

mongoc_client_encryption_t provides utility functions for In-Use Encryption.

THREAD SAFETY

mongoc_client_encryption_t is NOT thread-safe and should only be used in the same thread as the mongoc_client_t that is configured via mongoc_client_encryption_opts_set_keyvault_client().

LIFECYCLE

The key vault client, configured via mongoc_client_encryption_opts_set_keyvault_client(), must outlive the mongoc_client_encryption_t.

SEE ALSO:
mongoc_client_enable_auto_encryption()

mongoc_client_pool_enable_auto_encryption()

In-Use Encryption for libmongoc

The MongoDB Manual for Client-Side Field Level Encryption

The MongoDB Manual for Queryable Encryption

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc